Bug 1119120 - Review Request: perl-AnyEvent-DNS-EtcHosts - Perl module to use /etc/hosts before DNS
Summary: Review Request: perl-AnyEvent-DNS-EtcHosts - Perl module to use /etc/hosts be...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1119118
TreeView+ depends on / blocked
 
Reported: 2014-07-14 05:04 UTC by Christopher Meng
Modified: 2021-10-02 00:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-02 00:45:28 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Meng 2014-07-14 05:04:42 UTC
Spec URL: http://us-la.cicku.me/perl-AnyEvent-DNS-EtcHosts.spec
SRPM URL: http://us-la.cicku.me/perl-AnyEvent-DNS-EtcHosts-0.0102-1.fc22.src.rpm
Description: AnyEvent::DNS::EtcHosts changes AnyEvent::DNS behavior. The /etc/hosts file is searched before DNS, so it is possible to override DNS entries.
Fedora Account System Username: cicku

Comment 1 David Dick 2014-07-14 11:46:13 UTC
License is correct.

Builds cleanly in rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=7136611

Add the following BRs

BR perl(AnyEvent::DNS)    # lib/AnyEvent/DNS/EtcHosts.pm at line 56
BR perl(AnyEvent::Socket) # lib/AnyEvent/DNS/EtcHosts.pm at line 59
BR perl(AnyEvent::Util)   # t/200_socket.t at line 37
BR perl(base)             # lib/AnyEvent/DNS/EtcHosts.pm at line 56
BR perl(Carp)             # t/100_dns.t at line 6
BR perl(Config)           # Build.PL at line 11
BR perl(constant)         # lib/AnyEvent/DNS/EtcHosts.pm at line 61
BR perl(if)               # lib/AnyEvent/DNS/EtcHosts.pm at line 62
BR perl(lib)              # Build.PL at line 6
BR perl(strict)           # lib/AnyEvent/DNS/EtcHosts.pm at line 51
BR perl(warnings)         # lib/AnyEvent/DNS/EtcHosts.pm at line 52

rpmlint reports ok.

Comment 2 David Dick 2014-08-16 00:50:16 UTC
Just a ping on these ones?

Comment 3 Package Review 2020-07-10 00:49:57 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 4 Package Review 2021-08-01 00:45:24 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 5 Package Review 2021-08-31 00:45:39 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 6 Package Review 2021-10-02 00:45:28 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.